# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'debounce/version'

Gem::Specification.new do |spec|
  spec.name          = "debounce"
  spec.version       = Debounce::VERSION
  spec.authors       = ["Stephan Kaag"]
  spec.email         = ["stephan@ka.ag"]

  spec.summary       = "Creates a debounced function that delays invoking func until after wait milliseconds have elapsed since the last time the debounced function was invoked."
  spec.homepage      = "https://github.com/bettyblocks/debounce"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "redis-semaphore", ">= 0.2.4"
  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "mock_redis"
  spec.add_development_dependency "pry"
end
